html {
  --error: #FF3131;
}

html.dark-mode {
  --error: #FF6060;
}

.elx-form {
  padding: 1rem;
}

.elx-form-header {
}

.elx-form-title {
  font-size: 140%;
  margin-bottom: 1rem;
}

.elx-form-body {
  padding: 0.25rem;
}

.elx-form-columns {
}

.elx-form-columns-header {
}

.elx-form-columns-title {
  font-size: 130%;
  margin-bottom: 0.5rem;
}

.elx-form-columns-body {
  display: flex;
  flex-direction: row
}

.elx-form-column {
  padding: 0.5rem;
}

.elx-form-column-header {
}

.elx-form-column-title {
  font-size: 120%;
  margin-bottom: 0.5rem;
}

.elx-form-column-body {
}

.elx-form-column-body .elx-form-button {
  width: 100%;
}

.elx-form-rows {
  width: 100%;
}

.elx-form-rows-header {
}

.elx-form-rows-title {
  font-size: 130%;
  margin-bottom: 0.5rem;
}

.elx-form-rows-body {
  display: flex;
  flex-direction: column
}

.elx-form-row {
  padding: 0.5rem;
}

.elx-form-row-header {
}

.elx-form-row-title {
  font-size: 120%;
}

.elx-form-row-body {
  display: flex;
  flex-direction: row;
}

.elx-form-vertical .elx-form-group {
  padding-bottom: 1rem;
}

.elx-form-horizontal .elx-form-label-holder {
  text-align: end;
}

.elx-form-vertical label {
  display: inline-block;
  margin-bottom: 0.25rem;
}

.elx-form-horizontal label {
  display: inline-block;
  padding-top: 0.65rem;
  padding-inline-end: 1rem;
  text-align: end;
}

.elx-form-error {
  color: var(--error);
  scroll-margin-top: 2.5rem;
}

.elx-form-vertical .elx-form-error {
  display: inline-block;
}

.elx-form-horizontal .elx-form-error {
  display: block;
}

.elx-form-error .elx-icon {
  text-align: center;
  margin-inline-start: 0.3rem;
  margin-inline-end: 0.2rem;
}

.elx-form-error-text {
  font-size: 80%;
  margin-inline-end: 0.3rem;
}

.elx-form-control {
  display: block;
  width: 100%;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: var(--text-normal);
  background-color: var(--surface-bg);
  background-clip: padding-box;
  border: 1px solid var(--hard-edge);
  border-radius: 0.25rem;
}

.elx-checkbox label {
  margin-inline-end: 0.5rem;
}

.elx-radio-button label {
  margin-inline-end: 0.5rem;
}

.elx-form .help-text {
  color: var(--form-dim);
  margin-top: 0.25rem;
  font-size: 90%;
}

.elx-form-radio-button {
  line-height: 1.4rem;
}

.elx-form-radio-button.elx-form-horizontal {
}

.elx-form-checkbox {
  line-height: 1.4rem;
}

.elx-form-checkbox.elx-form-horizontal {
}

.elx-history-scroller {
  overflow: auto;
  border: 1px solid var(--hard-edge);
}

.elx-history-scroller table {
  width: 100%;
  border-collapse: separate;
  border-spacing: 0;
}

.elx-history-scroller th {
  background-color: var(--surface-bg);
  vertical-align: center;
  border-bottom: 1px solid var(--hard-edge);
  text-align: left;
  height: 2rem;
  padding: 0.2rem;
}

.elx-history-scroller td {
  vertical-align: center;
  height: 2rem;
  padding: 0.2rem;
}

.elx-form-launcher-scroller {
  overflow: auto;
  border: 1px solid var(--hard-edge);
}

.elx-form-launcher-scroller table {
  width: 100%;
  border-collapse: separate;
  border-spacing: 0;
}

.elx-form-launcher-scroller tr:hover {
  background-color: var(--surface2);
}

.elx-form-launcher-scroller th {
  background-color: var(--surface-bg);
  vertical-align: center;
  border-bottom: 1px solid var(--hard-edge);
  text-align: start;
  height: 2rem;
  padding: 0.2rem;
}

.elx-form-launcher-scroller td {
  vertical-align: center;
  height: 2rem;
  padding: 0.2rem;
}

.elx-form-launcher-clickable:hover {
  cursor: pointer;
  text-decoration: underline;
}

.elx-attachments-scroller {
  overflow: auto;
  border: 1px solid var(--hard-edge);
}

.elx-attachments-scroller table {
  width: 100%;
  border-collapse: separate;
  border-spacing: 0;
}

.elx-attachments-scroller tr:hover {
  background-color: var(--surface2);
}

.elx-attachments-scroller th {
  background-color: var(--surface-bg);
  vertical-align: center;
  border-bottom: 1px solid var(--hard-edge);
  text-align: start;
  height: 2rem;
  padding: 0.2rem;
}

.elx-attachments-scroller td {
  vertical-align: center;
  height: 2rem;
  padding: 0.2rem;
}

.elx-attachments-clickable:hover {
  cursor: pointer;
  text-decoration: underline;
}

.elx-attachments-scroller .clickable {
  margin-inline-end: 0.5rem;
}

.elx-form-tabs {
}

.elx-form-tabs-header {
  height: 2.5rem;
  overflow: hidden;
}

.elx-form-tabs-body {
  width: 100%;
  border: 1px solid var(--hard-edge);
  padding: 0.5rem;
}

.elx-form-tab {
  display: inline-block;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  user-select: none;
  border: 1px solid transparent;
  padding: 0.375rem .75rem;
  margin-top: 0.5rem;
  margin-inline-end: 0.5rem;
  font-size: 1rem;
  line-height: 1.5;
  border-top-left-radius: 0.5rem;
  border-top-right-radius: 0.5rem;
  background-color: var(--button-bg);
  color: var(--button-fg);
}

.elx-form-vertical-tabs {
  display: flex;
}

.elx-form-vertical-tabs-header {
  display: flex;
  flex-direction: column;
  width: 20% !important;
  height: 100% !important;
}

.elx-form-vertical-tab {
  white-space: normal !important;
  border-top-left-radius: 0rem !important;
  border-top-right-radius: 0rem !important;
}

.elx-form-tab.selected {
  background-color: var(--button-sel-bg);
  color: var(--button-sel-fg);
  margin-top: 0.1rem;
}

.elx-form-tab.disabled {
  background-color: var(--button-disabled-bg);
  color: var(--button-disabled-fg);
}

.elx-form-tab-error {
  color: var(--error);
  margin-inline-start: 0.2rem;
  font-size: 80%;
  scroll-margin-top: 2.5rem;
}

.elx-form-tab:not(:disabled):not(.disabled):hover {
  cursor: pointer;
}

.elx-form-image {
  position: relative;
  min-height: 2rem;
  text-align: center;
  border: 1px solid var(--edge);
  background-color: var(--surface2);
  overflow: hidden;
}

.elx-form-image .buttons {
  position: absolute;
  top: 0px;
  right: 0px;
  background-color: var(--surface2);
}

.elx-form-image .buttons .clickable {
  display: inline-block;
  padding: 0.2rem;
}

.input-group {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  width: 100%;
}

.input-group>input {
  flex: 1 1 auto;
  padding: .375rem .2rem;
  font-size: 1rem;
}

/* This needs work on Firefox...*/
.input-group>select {
  flex: 1 1 auto;
  padding: .375rem .2rem;
  font-size: 1rem;
}

.input-group-prepend {
  margin-inline-end: 1px;
  display: flex;
}

.input-group-append {
  margin-inline-start: 1px;
  display: flex;
}

.input-group-text {
  display: flex;
  align-items: center;
  padding: .375rem .75rem;
  margin-bottom: 0;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: var(--text-normal);
  text-align: center;
  white-space: nowrap;
  background-color: var(--surface1);
  border-radius: .25rem;
}

.input-group-prepend>.input-group-text {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.input-group-append>.input-group-text {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.elx-button-bar .btn {
  margin: 0.2rem 0.25rem;
}

.btn {
  display: inline-block;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  user-select: none;
  border: 1px solid transparent;
  padding: 0.375rem .75rem;
  margin-bottom: 0.5rem;
  font-size: 1rem;
  line-height: 1.5;
  border-radius: 0.25rem;
  color: rgb(51,51,51);
}

.btn.primary {
  background-color: var(--primary);
  color: var(--surface-bg);
}

.btn.secondary {
  background-color: var(--secondary);
  color: var(--surface-bg);
}

.btn.negative {
  background-color: var(--important-bg);
  color: var(--important-fg);
}

.btn:not(:disabled):not(.disabled):hover {
  cursor: pointer;
  background-color: var(--button-hover-bg);
  color: var(--button-hover-fg);
}

.elx-form-button-holder {
  padding: 0.3rem 0rem;
}

.elx-form-button {
  margin: 0.2rem 0.25rem;
}

.elx-button-bar {
  padding: 0.3rem 0.25rem;
}

.elx-button-bar.vertical {
  height: unset;
}

.attachments-title {
}

.attachments-count {
  margin-inline-start: 0.5rem;
}

.elx-repeater-add {
  position: absolute;
  text-align: end;
}

.elx-repeater-add.h-mode {
  inset-inline-end: 0rem;
  top: 0.6rem;
  width: 1.3rem;
}

.elx-repeater-add.v-mode {
  inset-inline-end: 0rem;
  top: -1.3rem;
  width: 2rem;
}

.elx-repeater-scroller {
  overflow-x: hidden;
  overflow-y: auto;
  border: 1px solid var(--hard-edge);
  padding: 1rem;
}

.elx-repeater-scroller.h-mode {
  margin-inline-end: 1rem;
  overflow-x: auto;
  overflow-y: hidden;
}

.elx-repeater-scroller table {
  width: 100%;
  border-collapse: collapse;
}

.elx-repeater-scroller table .data-row {
  border-bottom: 1px solid var(--hard-edge);
}

.elx-form-modal {
  top: 0;
  left: 0;
  position: fixed;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.4);
  z-index: 3000;
}

.elx-form-modal-dialog {
  background-color: var(--surface-bg);
  color: var(--surface-fg);
}

.elx-form-modal-pos {
  position: relative;
  top: 9rem;
  inset-inline-start: 50%;
}

.elx-form-dlg-body {
  overflow: hidden;
}

.elx-form-mandatory-field::after {
  color: var(--error);
  content: ' *';
}

.elx-form-remaining-chars {
  font-size: 90%;
  text-align: end;
  color: var(--text-dim);
}

.elx-form-panel {
  margin-bottom: 1rem;
}

.elx-form-panel-header {
  display: flex;
  background-color: var(--header-bg);
  padding: 0.5rem;
}

.elx-form-panel-title {
  font-size: 1rem;
  font-weight: bold;
}

.elx-form-panel-icon {
  color: var(--text-bright);
}

.elx-form-panel-body {
  padding: 0.5rem;
  overflow-x: hidden;
  overflow-y: auto;
  border: 1px solid var(--hard-edge);
}

.toggle-darklight {
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  user-select: none;
  border: 1px solid transparent;
  padding: 0.375rem .75rem;
  margin-bottom: 0.5rem;
  font-size: 1rem;
  line-height: 1.5;
  border-radius: 0.25rem;
  background-color: var(--button-bg);
  color: var(--button-fg);
}

.toggle-darklight:not(:disabled):not(.disabled):hover {
  cursor: pointer;
  background-color: var(--button-hover-bg);
  color: var(--button-hover-fg);
}

.elx-multi-select-control>option:checked {
    background-color: var(--button-sel-bg);
    color: var(--button-sel-fg);
}

/* Submitted Info */
.elx-form-submit-info{
  padding: 0.52rem;
  border: 1px solid var(--hard-edge);
}

.elx-form-submit-info .title .label{
  font-size: 120%;
  font-weight: bold;
}

.elx-form-submit-info .label {
  font-size: 1rem;
  font-weight: bold;
}

/* END Submitted Info  */

/* SIDE BAR */

.elx-form-sidebar {
  display: flex;
  flex-direction: column;
}

.elx-form-sidebar .header{
  font-size: 130%;
  margin-bottom: 0.5rem;
}

.elx-form-sidebar .container{
  display: flex;
  flex-direction: row;
}

.elx-form-sidebar .page-body{
  display: flex;
  flex-direction: column;
}

.elx-checklist-sidebar .page-container{
  flex: 1 1 auto;
}

.elx-form-sidebar .btn-bar{
  display: flex;
  flex-direction: column;
  margin-right: 1rem;
}

.elx-form-sidebar .btn-bar .progress-container {
  margin-top: 0.5rem;
  padding-inline-end: 0.5rem;
  padding-inline-start: 0.1rem;
}

.elx-form-sidebar .btn-bar .progress{
  width: 100%;
}

.elx-form-sidebar .sidebar-item {
  display: flex;
  text-align: start;
  white-space: nowrap;
  vertical-align: middle;
  user-select: none;
  border: 1px solid transparent;
  padding: 0.375rem .75rem;
  margin-top: 0.5rem;
  margin-inline-end: 0.5rem;
  font-size: 1rem;
  line-height: 1.5;
  background-color: var(--button-bg);
  color: var(--button-fg);
}

.elx-form-sidebar .sidebar-btn .page-icon{
  margin-inline-end: 0.5rem;
  display: none;
  pointer-events:none;
}

.elx-form-sidebar.right .sidebar-btn {
  text-align: end;
}

.sidebar-btn.selected {
  background-color: var(--button-sel-bg);
  color: var(--button-sel-fg);
}

.elx-form-sidebar .sidebar-btn .label {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  pointer-events:none;
}

.elx-form-sidebar .btn-bar .elx-form-group{
  padding:0;
}


.elx-form-sidebar .btn-bar .elx-form-group .elx-form-label-holder {
  height:fit-content;
}

.sidebar-btn {
    display: flex;
    color: var(--button-fg);
    background-color: var(--button-bg);
}


/* END SIDE BAR */
